%define upstream_name    CPAN-Mini
%define upstream_version 1.111017

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Create a minimal mirror of CPAN
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/CPAN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Compress::Zlib) >= 1.200.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::HomeDir) >= 0.570.0
BuildRequires: perl(File::Path) >= 2.40.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(LWP::UserAgent) >= 5.0.0
BuildRequires: perl(Pod::Usage) >= 1.0.0
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(URI) >= 1.0.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch
Provides:   minicpan = %{version}

%{?perl_default_filter}
%global __requires_exclude %__requires_exclude|^perl\\(File::HomeDir\\)$

%description
CPAN::Mini provides a simple mechanism to build and update a minimal mirror of
the CPAN on your local disk. It comes with a small utility, minicpan(1), to
create and update such mirrors.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%__make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/CPAN
%{_mandir}/*/*
%{_bindir}/minicpan

%changelog
* Wed Sep 06 2023 tv <tv> 1.111.17-1.mga10
+ Revision: 1984754
- update to 1.111017

* Mon Mar 28 2022 umeabot <umeabot> 1.111.16-13.mga9
+ Revision: 1830121
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.111.16-12.mga8
+ Revision: 1503493
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.111.16-11.mga7
+ Revision: 1281866
- Mageia 7 Mass Rebuild

* Wed May 02 2018 shlomif <shlomif> 1.111.16-10.mga7
+ Revision: 1225009
- add provides + spec cleanup

* Mon Oct 02 2017 tv <tv> 1.111.16-9.mga7
+ Revision: 1163582
- rebuild with fixed rpm for missing autodeps

* Thu Sep 21 2017 guillomovitch <guillomovitch> 1.111.16-8.mga7
+ Revision: 1156687
- fix build dependencies

* Sat Jun 18 2016 pterjan <pterjan> 1.111.16-7.mga6
+ Revision: 1024484
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.111.16-6.mga6
+ Revision: 949081
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 1.111.16-5.mga5
+ Revision: 788964
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.111.16-4.mga5
+ Revision: 748606
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.111.16-3.mga5
+ Revision: 732971
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.111.16-2.mga5
+ Revision: 683680
- Mageia 5 Mass Rebuild

* Sun Aug 10 2014 sander85 <sander85> 1.111.16-1.mga5
+ Revision: 661429
- update to 1.111016

* Fri Feb 07 2014 shlomif <shlomif> 1.111.15-1.mga5
+ Revision: 585074
- update to 1.111015

* Sat Oct 19 2013 umeabot <umeabot> 1.111.13-2.mga4
+ Revision: 525937
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 kharec <kharec> 1.111.13-1.mga4
+ Revision: 434985
- update to 1.111013

* Sun Jan 13 2013 umeabot <umeabot> 1.111.10-2.mga3
+ Revision: 363616
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 1.111.10-1.mga3
+ Revision: 314848
- update to 1.111010

* Wed Aug 29 2012 kharec <kharec> 1.111.9-1.mga3
+ Revision: 285136
- update to 1.111009

* Wed Jan 04 2012 jquelin <jquelin> 1.111.8-1.mga2
+ Revision: 190278
- update to 1.111008

* Wed Jun 15 2011 jquelin <jquelin> 1.111.7-1.mga2
+ Revision: 106487
- update to 1.111007

* Tue Apr 19 2011 jquelin <jquelin> 1.111.3-1.mga1
+ Revision: 88483
- update to 1.111003

* Wed Feb 16 2011 jquelin <jquelin> 1.111.1-1.mga1
+ Revision: 52295
- update to 1.111001

* Sun Jan 23 2011 jquelin <jquelin> 1.100.630-1.mga1
+ Revision: 33602
- mageia rebuild
- imported package perl-CPAN-Mini

